package com.bonus.canteen.core.menu.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.bonus.canteen.core.common.utils.CustomNumberConverter;
import com.bonus.canteen.core.menu.converter.SalesModeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ColumnWidth(20)
@ApiModel("商品导出内容")
public class MenuMaterialProductExportVO {
   @ExcelProperty({"所属区域"})
   private String areaName;
   @ExcelProperty({"商品编码"})
   @ApiModelProperty("商品编码")
   private String materialCode;
   @ExcelProperty({"商品名称"})
   @ApiModelProperty("商品名称")
   private String materialName;
   @ExcelProperty({"单位"})
   @ApiModelProperty("单位")
   private String unitName;
   @ExcelProperty(
      value = {"进价(元)"},
      converter = CustomNumberConverter.class
   )
   @ApiModelProperty("进价(元)")
   private Integer unitPrice;
   @ExcelProperty(
      value = {"零售价(元)"},
      converter = CustomNumberConverter.class
   )
   @ApiModelProperty("零售价(元)")
   private Integer salePrice;
   @ExcelProperty({"条码"})
   @ApiModelProperty("条码")
   private String barCode;
   @ExcelProperty({"商品类别"})
   @ApiModelProperty("商品类别")
   private String categoryName;
   @ExcelProperty({"商品简介"})
   @ApiModelProperty("商品简介")
   private String synopsis;
   @ExcelProperty(
      value = {"售卖类型(1按份2称重)"},
      converter = SalesModeConverter.class
   )
   @ApiModelProperty("售卖类型(1按份2称重)")
   private Integer salesMode;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public String getAreaName() {
      return this.areaName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getSynopsis() {
      return this.synopsis;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setSynopsis(final String synopsis) {
      this.synopsis = synopsis;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
